textures/dmmq3dm2/lt2_2000
{
	qer_editorimage textures/dmmq3dm2/light2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dmmq3dm2/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dmmq3dm2/light2.blend.tga
		rgbGen wave sin 0.6 0.1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/sfx/launchpad_metalbridge04d
{
	//	*************************************************
	//	*      	Launchpad on metalbridge04d	        *
	//	*      	June 15 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/dmmq3dm2/launchpad_metalbridge04d.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/dmmq3dm2/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	// 	CHANGED BECAUSE OF RAGE PRO PROBLEM
	//	{	
	//		map textures/dmmq3dm2/launchpad_arrow.tga		
	//		blendfunc gl_src_alpha gl_one	
	//		tcmod scroll 0 2
	//		rgbgen wave square 0 1 0 2
	//		alphagen wave square 0 1 .1 2
	//	}

	// 	TEMPORARY FIX TO GET AROUND ALPHA BLEND IN RAGE PRO
	{ 
		animmap 4 textures/dmmq3dm2/launchpad_arrow.tga textures/dmmq3dm2/launchpad_arrow2.tga textures/dmmq3dm2/launchpad_arrow2.tga textures/dmmq3dm2/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}


textures/dmmq3dm2/bouncepad01_diamond2c
{

	//	*************************************************
	//	*      	Bounce Pad on q1metal97			*
	//	*      	March 10 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/dmmq3dm2/jumppadsmall.tga	
	q3map_surfacelight 2000

	
	{
		map textures/dmmq3dm2/bouncepad01_diamond2c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/dmmq3dm2/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/dmmq3dm2/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}


textures/dmmq3dm2/baslt4_1_2k
{
	qer_editorimage textures/dmmq3dm2/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dmmq3dm2/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dmmq3dm2/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/dmmq3dm2/c_met5_2_trans
{
	qer_editorimage textures/dmmq3dm2/c_met5_2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/dmmq3dm2/c_met5_2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}


textures/dmmq3dm2/proto_lightred2
{
	q3map_lightimage textures/dmmq3dm2/proto_lightred.tga
	qer_editorimage textures/dmmq3dm2/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	//light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dmmq3dm2/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/dmmq3dm2/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
	
}

textures/dmmq3dm2/z_support
{
	surfaceparm	metalsteps	
    surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/dmmq3dm2/z_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dmmq3dm2/x_support2
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/dmmq3dm2/x_support2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/dmmq3dm2/border11light
{
	q3map_surfacelight 500
	Q3map_lightimage textures/dmmq3dm2/border11light.glow.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dmmq3dm2/border11light.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/dmmq3dm2/border11light.glow.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin .9 .1 0 10
	}
}


textures/dmmq3dm2/bluemetalsupport2c
{
	

	{
		map textures/dmmq3dm2/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/dmmq3dm2/bluemetalsupport2c.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/dmmq3dm2/bluemetalsupport2e
{
	

	{
		map textures/dmmq3dm2/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/dmmq3dm2/bluemetalsupport2e.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}



//***LAUNCHPAD (DIAMOND FLOOR***
textures/dmmq3dm2/launchpad_diamond
{
	//	*************************************************
	//	*      	Launchpad on Diamond			*
	//	*      	April 30 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/dmmq3dm2/launchpad_diamond.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/dmmq3dm2/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	// 	CHANGED BECAUSE OF RAGE PRO PROBLEM
	//	{	
	//		map textures/dmmq3dm2/launchpad_arrow.tga		
	//		blendfunc gl_src_alpha gl_one	
	//		tcmod scroll 0 2
	//		rgbgen wave square 0 1 0 2
	//		alphagen wave square 0 1 .1 2
	//	}

	// 	TEMPORARY FIX TO GET AROUND ALPHA BLEND IN RAGE PRO
	{ 
		animmap 4 textures/dmmq3dm2/launchpad_arrow.tga textures/dmmq3dm2/launchpad_arrow2.tga textures/dmmq3dm2/launchpad_arrow2.tga textures/dmmq3dm2/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

//***BEGIN COMMON SHADERS***
textures/dmmq3dm2/nodrop
{
	qer_nocarve
	qer_trans	0.5
	surfaceparm 	trans
	surfaceparm	nonsolid
	surfaceparm	nomarks
	surfaceparm     nodrop
	surfaceparm 	nolightmap
	surfaceparm 	nodraw
	cull		disable
}

textures/dmmq3dm2/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/dmmq3dm2/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        //surfaceparm 	nolightmap //proto_addition 11/08/99
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/dmmq3dm2/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}


textures/dmmq3dm2/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
}

//*****************************************
//**   I've reduced the transparency on most editor-only brushes here.
//**   If the transparent textures are still too pale for
//**   things like clip, hint, trigger, etc.,
//**   Please make an editorimage to suit your needs.
//******************************************

textures/dmmq3dm2/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/dmmq3dm2/hint
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
surfaceparm noimpact
}

//bot specific cluster portal
textures/dmmq3dm2/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm	nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/dmmq3dm2/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/dmmq3dm2/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}
//***END COMMON SHADERS
